Summary:	MiniUPnP client and a library
Summary(pl.UTF-8):	Program i biblioteka kliencka MiniUPnP
Name:		miniupnpc
Version:	1.7
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://miniupnp.tuxfamily.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	297bee441b56af87c6622fc4002179fd
URL:		http://miniupnp.tuxfamily.org/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MiniUPnP client and a library.

%description -l pl.UTF-8
Program i biblioteka kliencka MiniUPnP.

%package devel
Summary:	Header files for miniupnpc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki miniupnpc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for miniupnpc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki miniupnpc.

%package static
Summary:	Static miniupnpc library
Summary(pl.UTF-8):	Statyczna biblioteka miniupnpc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static miniupnpc library.

%description static -l pl.UTF-8
Statyczna biblioteka miniupnpc.

%package -n python-miniupnpc
Summary:	Python binding for miniupnpc library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki miniupnpc
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-miniupnpc
Python binding for miniupnpc library.

%description -n python-miniupnpc -l pl.UTF-8
Wiązanie Pythona do biblioteki miniupnpc.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -Wall -DNDEBUG -DMINIUPNPC_SET_SOCKET_TIMEOUT -D_BSD_SOURCE -D_POSIX_C_SOURCE=1"

export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	INSTALLPREFIX=$RPM_BUILD_ROOT%{_prefix} \
	INSTALLDIRLIB=$RPM_BUILD_ROOT%{_libdir}

# let SONAME be the symlink
mv $RPM_BUILD_ROOT%{_libdir}/libminiupnpc.so.{8,8.0.0}
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

#cp -a man3/miniupnpc.3 $RPM_BUILD_ROOT%{_mandir}/man3

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changelog.txt README LICENSE
%attr(755,root,root) %{_bindir}/external-ip
%attr(755,root,root) %{_bindir}/upnpc
%attr(755,root,root) %{_libdir}/libminiupnpc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libminiupnpc.so.8

%files devel
%defattr(644,root,root,755)
%doc upnpc.c
%attr(755,root,root) %{_libdir}/libminiupnpc.so
%{_includedir}/miniupnpc
%{_mandir}/man3/miniupnpc.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libminiupnpc.a

%files -n python-miniupnpc
%defattr(644,root,root,755)
%doc pymoduletest.py testupnpigd.py
%attr(755,root,root) %{py_sitedir}/miniupnpc.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/miniupnpc-*.egg-info
%endif
%changelog
* Tue Feb 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/miniupnpc.git;a=log;h=master

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 23a9dda
- updated to 1.7 (note: new soname)
- pl

* Tue Jun 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c35483
- release 2

* Mon Jun 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1494ea9
- up to 1.5

* Wed Sep 01 2010 Karol Krenski <charles@pld-linux.org> aca5bca
- updated to 1.4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da88233
- release 3

* Wed Apr 01 2009 Elan Ruusamäe <glen@pld-linux.org> 37c2140
- ldconfig; rel 2

* Tue Mar 31 2009 Elan Ruusamäe <glen@pld-linux.org> 07389d5
- lib64; rel 1

* Sun Mar 29 2009 Elan Ruusamäe <glen@pld-linux.org> 54aea24
- package .egg-info for py 2.6

* Sun Mar 29 2009 Elan Ruusamäe <glen@pld-linux.org> bcdcdd6
- new

